package com.red.circle.other.app.service.ai.qianfan;


import com.red.circle.other.app.dto.clientobject.ai.qianfan.QianFanChatCO;
import com.red.circle.other.app.dto.cmd.ai.qianfan.QianFanChatCmd;

import java.util.List;

/**
 * AI千帆服务.
 *
 * @author pengliang on 2023/5/31
 */
public interface QianFanService {

    QianFanChatCO chat(QianFanChatCmd cmd);

    List<QianFanChatCO> chatList(Long userId);

    void updateQianFanAiChat(Long id, Integer status);
}
